Ask a Question

OAS 3.0 tooling support

OAS 3.0 tooling support

As many of us aware that Software development to moving towards API development for the services using Swagger.

 

Open API Specification 3.0 was out quite some time ago and even service packs available.

 

However, there is lack of tooling(free) support for the same in the market such as Postman including SmartBear's SoapUI Open Source as well. Not sure about ReadyAPI though. Of course, swagger tools be used to hit the service, but can't be used for the automation.

 

Latest version of SoapUI OS supports only Swagger 2.0 and it has some limitations (refer here)

 

So, here the request to SmartBear team is to find when can OAS 3.0 be supported in SoapUI OS.

4 Comments
ralmin
Occasional Visitor

SoapUI 5.7.0 release notes says: 

"Now, to work with OpenAPI/Swagger definitions, you do not need to use plugins. SoapUI supports it out-of-the-box. Additionally, we've improved integrations with SwaggerHub to make it even more convenient."
 
However importing an OpenAPI v3 definiton fails with:
"java.lang.NullPointerException: Cannot invoke "com.smartbear.swagger.SwaggerImporter.importSwagger(String)" because "this.val$importer" is null"
 
It would be great to have the ability to import our OpenAPI v3 definitions.
nagendrakamiset
Visitor

Hi ralmin,

 

I do facing same problem. Did you get any update on this.

daliboris
Occasional Visitor

I can confirm,

 

the problem with importing OpenAPI 3.0 still persits with version 5.7.0.

 

Do you have some plans for supporting OpenAPI v3?

cgorges
Occasional Visitor

Same here Guys, do we have any news?

Announcements
Welcome to the SoapUI Feature Requests board!

Here you can review submitted feature requests and vote up the ones you like! If you can't find the feature you want - go ahead and suggest your own idea. Ideas with the highest rating can be implemented in the product.

Check out the Create a Feature Request guide for more information.
New Here?
Welcome to the Community
Sign Up Here
Labels